Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLConcreteDataTypeImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLConcreteDataTypeImpl

All Implemented Interfaces:
  Cloneable, OWLDataRange, OWLDataType, OWLDeprecatableObject, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl, OWLObject, Serializable

public class OWLConcreteDataTypeImpl
extends OWLObjectImpl
implements OWLDataType, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl

A place holder for concrete data types. This will ultimately be replace by something like XML Schema data types.

Version:
  $Id: OWLConcreteDataTypeImpl.java,v 1.2 2003/12/02 10:03:29 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLConcreteDataTypeImpl(OWLDataFactoryImpl factory, URI uri)`

Method Summary
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor
`URI` | `getURI()`
`boolean` | `isDeprecated(OWLOntology o)`
`void` | `setDeprecated(OWLOntology o, boolean b)`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Constructor Detail

### OWLConcreteDataTypeImpl

    public OWLConcreteDataTypeImpl(OWLDataFactoryImpl factory,
                                   URI uri)

Method Detail

### getURI

    public URI getURI()

  Specified by:
    `getURI` in interface `OWLDataType`

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### isDeprecated

    public boolean isDeprecated(OWLOntology o)

  Specified by:
    `isDeprecated` in interface `OWLDeprecatableObject`

### setDeprecated

    public void setDeprecated(OWLOntology o,
                              boolean b)

  Specified by:
    `setDeprecated` in interface `org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb